<template>
  <checkauto-layout>
    <AppBreadcrumbs
      slot="line-breadcrumb"
      :breadcrumbs="breadcrumbs"/>

    <div
      slot="line-content"
      class="kit outer">
      <div class="kit view checkauto faq">
        <h1 class="title">Вопросы и ответы</h1>
        <div class="subtitle">
          С помощью нашего сервиса «Проверка авто по VIN-номеру» тысячи пользователей уже заказали
          полный отчет по VIN номеру и получили индивидуальную информацию по своим автомобилям. В результате работы мы
          получили
          встречные вопросы по сервису, ответили на них и&nbsp;написали ответы на другие часто задаваемые вопросы,
          касающиеся
          VIN-номера автомобиля.
        </div>
        <nuxt-link
          to="/check-auto"
          class="ui button circular yellow">
          <img
            svg-inline
            src="~/assets/svg/icons/i-search.svg">
          <span class="desktopshow">Проверка авто</span>
          <span class="mobilshow">Проверить авто</span>
        </nuxt-link>

        <div class="list block">
          <div class="chunk chunk-index">
            <faq-nav-tree
              v-for="(section,sIndex) in navigationLeft"
              :all="true"
              :key="sIndex"
              :section="section"/>
          </div>
          <div class="chunk chunk-index">
            <faq-nav-tree
              v-for="(section,sIndex) in navigationRight"
              :all="true"
              :key="sIndex"
              :section="section"/>
          </div>
        </div>

        <div class="bottom">
          <nuxt-link
            to="/check-auto"
            class="ui button circular yellow mobilshow">
            <img
              svg-inline
              src="~/assets/svg/icons/i-search.svg">
            Проверить авто
          </nuxt-link>
          <payment/>
        </div>
      </div>
    </div>
  </checkauto-layout>
</template>

<script>
import CheckautoLayout from '~/components/redesign/check-auto/main-layout';
import Payment from '~/components/redesign/blocks/payment';
import { FaqList1, FaqList2, FaqList3 } from '~/assets/js/faq/check-auto';
import NavTree from '~/components/redesign/check-auto/faq/NavTree';
import AppBreadcrumbs from '~/components/redesign/app-breadcrumbs';

export default {
  name: 'QuestionsIndex',
  components: {
    AppBreadcrumbs,
    'faq-nav-tree': NavTree,
    CheckautoLayout,
    Payment,
  },
  layout: 'aquamarin',
  data() {
    return {
      breadcrumbs: [
        {
          url: '/check-auto',
          name: 'Проверка авто',
        },
        {
          url: '',
          name: 'Вопросы и ответы',
        },
      ],
      title: '',
      navigationLeft: [
        FaqList3,
      ],
      navigationRight: [
        FaqList1,
        FaqList2,
      ],
    };
  },
};
</script>

<style scoped lang="postcss">
  @import '../../../../assets/css/pages/check-auto/checkauto-questions.css';
  .ui.button .svg {
    display: inline-block;
    vertical-align: middle;
    margin: 0 .375em 0 0;
    fill: #1b1c1d;
  }

</style>
